Subject: Re: git clone: very long "resolving deltas" phase

From: Vitaly Berov <[email-masked]>
Date: Sat, 10 Apr 2010 12:05:54 +0400

On 04/09/2010 12:13 PM, Matthieu Moy wrote:
> Vitaly Berov<[email-masked]>  writes:
>
>> Objects amount: 3997548.
>> Size of the repository: ~57Gb.
> [...]
>> By the way, we have a large amount of binary files in our rep.
>
> This is clearly not the kind of repositories Git is good at.
Hmm.. I'm looking for a good repository because I'm tired of subversion, 
Perforce isn't an option to (very expensive and even more 
uncomfortable). It seems like there only Git/Mercurial are good options. 
Can you recommend some other scms?

> I encourage you to continue this discussion, and try to find a way to
> get it working, but the standard approach (probably a "my 2 cents"
> kind of advices, but ...) would be:
>
> * Split your repo into smaller ones (submodules ...)
>
> * Avoid versionning binary files

I can't get rid of binary files because they are the "sources" of our 
artists work (the develop a game).
Splitting a repo can be an option, but it's very inconvenient for us.

Vitaly